diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/js/customize-controls.js /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/js/customize-controls.js
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/js/customize-controls.js	2013-02-14 16:58:04.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/js/customize-controls.js	2013-10-02 20:50:09.000000000 -0500
***************
*** 36,42 ****
  			$.extend( this, options || {} );
  
  			this.id = id;
! 			this.selector = '#customize-control-' + id.replace( ']', '' ).replace( '[', '-' );
  			this.container = $( this.selector );
  
  			settings = $.map( this.params.settings, function( value ) {
--- 36,42 ----
  			$.extend( this, options || {} );
  
  			this.id = id;
! 			this.selector = '#customize-control-' + id.replace( /\]/g, '' ).replace( /\[/g, '-' );
  			this.container = $( this.selector );
  
  			settings = $.map( this.params.settings, function( value ) {
***************
*** 553,566 ****
  
  				// Check for URLs that include "/wp-admin/" or end in "/wp-admin".
  				// Strip hashes and query strings before testing.
! 				if ( /\/wp-admin(\/|$)/.test( to.replace(/[#?].*$/, '') ) )
  					return null;
  
  				// Attempt to match the URL to the control frame's scheme
  				// and check if it's allowed. If not, try the original URL.
  				$.each([ to.replace( rscheme, self.scheme() ), to ], function( i, url ) {
  					$.each( self.allowedUrls, function( i, allowed ) {
! 						if ( 0 === url.indexOf( allowed ) ) {
  							result = url;
  							return false;
  						}
--- 553,571 ----
  
  				// Check for URLs that include "/wp-admin/" or end in "/wp-admin".
  				// Strip hashes and query strings before testing.
! 				if ( /\/wp-admin(\/|$)/.test( to.replace( /[#?].*$/, '' ) ) )
  					return null;
  
  				// Attempt to match the URL to the control frame's scheme
  				// and check if it's allowed. If not, try the original URL.
  				$.each([ to.replace( rscheme, self.scheme() ), to ], function( i, url ) {
  					$.each( self.allowedUrls, function( i, allowed ) {
! 						var path;
! 
! 						allowed = allowed.replace( /\/+$/, '' );
! 						path = url.replace( allowed, '' );
! 
! 						if ( 0 === url.indexOf( allowed ) && /^([/#?]|$)/.test( path ) ) {
  							result = url;
  							return false;
  						}
***************
*** 862,868 ****
  			if ( 9 === event.which ) // tab
  				return;
  			if ( 13 === event.which ) // enter
! 				parent.send( 'close' );
  			event.preventDefault();
  		});
  
--- 867,873 ----
  			if ( 9 === event.which ) // tab
  				return;
  			if ( 13 === event.which ) // enter
! 				this.click();
  			event.preventDefault();
  		});
  
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/js/edit-comments.js /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/js/edit-comments.js
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/js/edit-comments.js	2012-11-05 19:01:52.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/js/edit-comments.js	2013-09-21 05:51:09.000000000 -0500
***************
*** 495,501 ****
  		t.revert();
  
  		r = r.responses[0];
- 		c = r.data;
  		id = '#comment-' + r.id;
  
  		if ( 'edit-comment' == t.act )
--- 495,500 ----
***************
*** 513,520 ****
--- 512,521 ----
  			}
  		}
  
+ 		c = $.trim(r.data); // Trim leading whitespaces
  		$(c).hide()
  		$('#replyrow').after(c);
+ 
  		id = $(id);
  		t.addEvents(id);
  		bg = id.hasClass('unapproved') ? '#FFFFE0' : id.closest('.widefat, .postbox').css('backgroundColor');
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/js/editor.js /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/js/editor.js
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/js/editor.js	2013-03-22 15:43:37.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/js/editor.js	2013-08-22 17:01:08.000000000 -0500
***************
*** 94,100 ****
  		// Mark </p> if it has any attributes.
  		content = content.replace(/(<p [^>]+>.*?)<\/p>/g, '$1</p#>');
  
! 		// Sepatate <div> containing <p>
  		content = content.replace(/<div( [^>]*)?>\s*<p>/gi, '<div$1>\n\n');
  
  		// Remove <p> and <br />
--- 94,100 ----
  		// Mark </p> if it has any attributes.
  		content = content.replace(/(<p [^>]+>.*?)<\/p>/g, '$1</p#>');
  
! 		// Separate <div> containing <p>
  		content = content.replace(/<div( [^>]*)?>\s*<p>/gi, '<div$1>\n\n');
  
  		// Remove <p> and <br />
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/js/image-edit.js /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/js/image-edit.js
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/js/image-edit.js	2012-11-21 21:43:16.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/js/image-edit.js	2013-09-21 06:24:09.000000000 -0500
***************
*** 158,190 ****
  			'rand': t.intval(Math.random() * 1000000)
  		};
  
! 		img = $('<img id="image-preview-' + postid + '" />');
! 		img.load( function() {
! 			var max1, max2, parent = $('#imgedit-crop-' + postid), t = imageEdit;
! 
! 			parent.empty().append(img);
! 
! 			// w, h are the new full size dims
! 			max1 = Math.max( t.hold.w, t.hold.h );
! 			max2 = Math.max( $(img).width(), $(img).height() );
! 			t.hold['sizer'] = max1 > max2 ? max2 / max1 : 1;
! 
! 			t.initCrop(postid, img, parent);
! 			t.setCropSelection(postid, 0);
! 
! 			if ( (typeof callback != "unknown") && callback != null )
! 				callback();
! 
! 			if ( $('#imgedit-history-' + postid).val() && $('#imgedit-undone-' + postid).val() == 0 )
! 				$('input.imgedit-submit-btn', '#imgedit-panel-' + postid).removeAttr('disabled');
! 			else
! 				$('input.imgedit-submit-btn', '#imgedit-panel-' + postid).prop('disabled', true);
! 
! 			t.toggleEditor(postid, 0);
! 		}).error(function(){
! 			$('#imgedit-crop-' + postid).empty().append('<div class="error"><p>' + imageEditL10n.error + '</p></div>');
! 			t.toggleEditor(postid, 0);
! 		}).attr('src', ajaxurl + '?' + $.param(data));
  	},
  
  	action : function(postid, nonce, action) {
--- 158,192 ----
  			'rand': t.intval(Math.random() * 1000000)
  		};
  
! 		img = $('<img id="image-preview-' + postid + '" />')
! 			.on('load', function() {
! 				var max1, max2, parent = $('#imgedit-crop-' + postid), t = imageEdit;
! 
! 				parent.empty().append(img);
! 
! 				// w, h are the new full size dims
! 				max1 = Math.max( t.hold.w, t.hold.h );
! 				max2 = Math.max( $(img).width(), $(img).height() );
! 				t.hold['sizer'] = max1 > max2 ? max2 / max1 : 1;
! 
! 				t.initCrop(postid, img, parent);
! 				t.setCropSelection(postid, 0);
! 
! 				if ( (typeof callback != "unknown") && callback != null )
! 					callback();
! 
! 				if ( $('#imgedit-history-' + postid).val() && $('#imgedit-undone-' + postid).val() == 0 )
! 					$('input.imgedit-submit-btn', '#imgedit-panel-' + postid).removeAttr('disabled');
! 				else
! 					$('input.imgedit-submit-btn', '#imgedit-panel-' + postid).prop('disabled', true);
! 
! 				t.toggleEditor(postid, 0);
! 			})
! 			.on('error', function() {
! 				$('#imgedit-crop-' + postid).empty().append('<div class="error"><p>' + imageEditL10n.error + '</p></div>');
! 				t.toggleEditor(postid, 0);
! 			})
! 			.attr('src', ajaxurl + '?' + $.param(data));
  	},
  
  	action : function(postid, nonce, action) {
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/js/inline-edit-post.js /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/js/inline-edit-post.js
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/js/inline-edit-post.js	2013-07-05 18:17:25.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/js/inline-edit-post.js	2013-10-02 20:09:10.000000000 -0500
***************
*** 64,74 ****
  				t.revert();
  			}
  		});
- 
- 		$('#post-query-submit').mousedown(function(e){
- 			t.revert();
- 			$('select[name^="action"]').val('-1');
- 		});
  	},
  
  	toggle : function(el){
--- 64,69 ----
***************
*** 258,263 ****
--- 253,262 ----
  				} else {
  					$('#edit-'+id+' .inline-edit-save .error').html(inlineEditL10n.error).show();
  				}
+ 
+ 				if ( $('#post-'+id).prev().hasClass('alternate') ) {
+ 					$('#post-'+id).removeClass('alternate');
+ 				}
  			}
  		, 'html');
  		return false;
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/js/inline-edit-tax.js /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/js/inline-edit-tax.js
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/js/inline-edit-tax.js	2013-02-16 11:46:12.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/js/inline-edit-tax.js	2013-09-16 16:11:09.000000000 -0500
***************
*** 90,95 ****
--- 90,98 ----
  						$('#edit-'+id+' .inline-edit-save .error').html(r).show();
  				} else
  					$('#edit-'+id+' .inline-edit-save .error').html(inlineEditL10n.error).show();
+ 
+ 				if ($(row).prev('tr').hasClass('alternate'))
+ 					$(row).removeClass('alternate');
  			}
  		);
  		return false;
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/js/nav-menu.js /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/js/nav-menu.js
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/js/nav-menu.js	2013-07-12 13:16:29.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/js/nav-menu.js	2013-10-07 08:37:08.000000000 -0500
***************
*** 402,417 ****
  		refreshAdvancedAccessibility : function() {
  
  			// Hide all links by default
! 			$( '.menu-item-settings .field-move a' ).hide();
  
  			$( '.item-edit' ).each( function() {
  				var $this = $(this),
  					movement = [],
  					availableMovement = '',
! 					menuItem = $this.parents( 'li.menu-item' ).first(),
  					depth = menuItem.menuItemDepth(),
  					isPrimaryMenuItem = ( 0 === depth ),
! 					itemName = $this.parents( '.menu-item-handle' ).find( '.menu-item-title' ).text(),
  					position = parseInt( menuItem.index() ),
  					prevItemDepth = ( isPrimaryMenuItem ) ? depth : parseInt( depth - 1 ),
  					prevItemNameLeft = menuItem.prevAll('.menu-item-depth-' + prevItemDepth).first().find( '.menu-item-title' ).text(),
--- 403,418 ----
  		refreshAdvancedAccessibility : function() {
  
  			// Hide all links by default
! 			$( '.menu-item-settings .field-move a' ).css( 'display', 'none' );
  
  			$( '.item-edit' ).each( function() {
  				var $this = $(this),
  					movement = [],
  					availableMovement = '',
! 					menuItem = $this.closest( 'li.menu-item' ).first(),
  					depth = menuItem.menuItemDepth(),
  					isPrimaryMenuItem = ( 0 === depth ),
! 					itemName = $this.closest( '.menu-item-handle' ).find( '.menu-item-title' ).text(),
  					position = parseInt( menuItem.index() ),
  					prevItemDepth = ( isPrimaryMenuItem ) ? depth : parseInt( depth - 1 ),
  					prevItemNameLeft = menuItem.prevAll('.menu-item-depth-' + prevItemDepth).first().find( '.menu-item-title' ).text(),
***************
*** 422,456 ****
  				// Where can they move this menu item?
  				if ( 0 !== position ) {
  					var thisLink = menuItem.find( '.menus-move-up' );
! 					thisLink.prop( 'title', menus.moveUp ).show();
  				}
  
  				if ( 0 !== position && isPrimaryMenuItem ) {
  					var thisLink = menuItem.find( '.menus-move-top' );
! 					thisLink.prop( 'title', menus.moveToTop ).show();
  				}
  
  				if ( position + 1 !== totalMenuItems && 0 !== position ) {
  					var thisLink = menuItem.find( '.menus-move-down' );
! 					thisLink.prop( 'title', menus.moveDown ).show();
  				}
  
  				if ( 0 === position && 0 !== hasSameDepthSibling ) {
  					var thisLink = menuItem.find( '.menus-move-down' );
! 					thisLink.prop( 'title', menus.moveDown ).show();
  				}
  
  				if ( ! isPrimaryMenuItem ) {
  					var thisLink = menuItem.find( '.menus-move-left' ),
  						thisLinkText = menus.outFrom.replace( '%s', prevItemNameLeft );
! 					thisLink.prop( 'title', menus.moveOutFrom.replace( '%s', prevItemNameLeft ) ).html( thisLinkText ).show();
  				}
  
  				if ( 0 !== position ) {
  					if ( menuItem.find( '.menu-item-data-parent-id' ).val() !== menuItem.prev().find( '.menu-item-data-db-id' ).val() ) {
  						var thisLink = menuItem.find( '.menus-move-right' ),
  							thisLinkText = menus.under.replace( '%s', prevItemNameRight );
! 						thisLink.prop( 'title', menus.moveUnder.replace( '%s', prevItemNameRight ) ).html( thisLinkText ).show();
  					}
  				}
  
--- 423,457 ----
  				// Where can they move this menu item?
  				if ( 0 !== position ) {
  					var thisLink = menuItem.find( '.menus-move-up' );
! 					thisLink.prop( 'title', menus.moveUp ).css( 'display', 'inline' );
  				}
  
  				if ( 0 !== position && isPrimaryMenuItem ) {
  					var thisLink = menuItem.find( '.menus-move-top' );
! 					thisLink.prop( 'title', menus.moveToTop ).css( 'display', 'inline' );
  				}
  
  				if ( position + 1 !== totalMenuItems && 0 !== position ) {
  					var thisLink = menuItem.find( '.menus-move-down' );
! 					thisLink.prop( 'title', menus.moveDown ).css( 'display', 'inline' );
  				}
  
  				if ( 0 === position && 0 !== hasSameDepthSibling ) {
  					var thisLink = menuItem.find( '.menus-move-down' );
! 					thisLink.prop( 'title', menus.moveDown ).css( 'display', 'inline' );
  				}
  
  				if ( ! isPrimaryMenuItem ) {
  					var thisLink = menuItem.find( '.menus-move-left' ),
  						thisLinkText = menus.outFrom.replace( '%s', prevItemNameLeft );
! 					thisLink.prop( 'title', menus.moveOutFrom.replace( '%s', prevItemNameLeft ) ).html( thisLinkText ).css( 'display', 'inline' );
  				}
  
  				if ( 0 !== position ) {
  					if ( menuItem.find( '.menu-item-data-parent-id' ).val() !== menuItem.prev().find( '.menu-item-data-db-id' ).val() ) {
  						var thisLink = menuItem.find( '.menus-move-right' ),
  							thisLinkText = menus.under.replace( '%s', prevItemNameRight );
! 						thisLink.prop( 'title', menus.moveUnder.replace( '%s', prevItemNameRight ) ).html( thisLinkText ).css( 'display', 'inline' );
  					}
  				}
  
***************
*** 902,908 ****
--- 903,912 ----
  
  			$.post( ajaxurl, params, function(menuMarkup) {
  				var ins = $('#menu-instructions');
+ 
+ 				menuMarkup = $.trim( menuMarkup ); // Trim leading whitespaces
  				processMethod(menuMarkup, params);
+ 
  				// Make it stand out a bit more visually, by adding a fadeIn
  				$( 'li.pending' ).hide().fadeIn('slow');
  				$( '.drag-instructions' ).show();
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/js/password-strength-meter.js /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/js/password-strength-meter.js
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/js/password-strength-meter.js	2012-08-22 19:04:18.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/js/password-strength-meter.js	2013-10-18 03:11:09.000000000 -0500
***************
*** 1,36 ****
! // Password strength meter
! function passwordStrength(password1, username, password2) {
! 	var shortPass = 1, badPass = 2, goodPass = 3, strongPass = 4, mismatch = 5, symbolSize = 0, natLog, score;
! 
! 	// password 1 != password 2
! 	if ( (password1 != password2) && password2.length > 0)
! 		return mismatch
! 
! 	//password < 4
! 	if ( password1.length < 4 )
! 		return shortPass
! 
! 	//password1 == username
! 	if ( password1.toLowerCase() == username.toLowerCase() )
! 		return badPass;
! 
! 	if ( password1.match(/[0-9]/) )
! 		symbolSize +=10;
! 	if ( password1.match(/[a-z]/) )
! 		symbolSize +=26;
! 	if ( password1.match(/[A-Z]/) )
! 		symbolSize +=26;
! 	if ( password1.match(/[^a-zA-Z0-9]/) )
! 		symbolSize +=31;
! 
! 	natLog = Math.log( Math.pow(symbolSize, password1.length) );
! 	score = natLog / Math.LN2;
  
! 	if (score < 40 )
! 		return badPass
! 
! 	if (score < 56 )
! 		return goodPass
! 
!     return strongPass;
! }
--- 1,74 ----
! window.wp = window.wp || {};
  
! var passwordStrength;
! (function($){
! 	wp.passwordStrength = {
! 		/**
! 		 * Determine the strength of a given password
! 		 *
! 		 * @param string password1 The password
! 		 * @param array blacklist An array of words that will lower the entropy of the password
! 		 * @param string password2 The confirmed password
! 		 */
! 		meter : function( password1, blacklist, password2 ) {
! 			if ( ! $.isArray( blacklist ) )
! 				blacklist = [ blacklist.toString() ];
! 
! 			if (password1 != password2 && password2 && password2.length > 0)
! 				return 5;
! 
! 			var result = zxcvbn( password1, blacklist );
! 			return result.score;
! 		},
! 
! 		/**
! 		 * Builds an array of data that should be penalized, because it would lower the entropy of a password if it were used
! 		 *
! 		 * @return array The array of data to be blacklisted
! 		 */
! 		userInputBlacklist : function() {
! 			var i, userInputFieldsLength, rawValuesLength, currentField,
! 				rawValues       = [],
! 				blacklist       = [],
! 				userInputFields = [ 'user_login', 'first_name', 'last_name', 'nickname', 'display_name', 'email', 'url', 'description', 'weblog_title', 'admin_email' ];
! 
! 			// Collect all the strings we want to blacklist
! 			rawValues.push( document.title );
! 			rawValues.push( document.URL );
! 
! 			userInputFieldsLength = userInputFields.length;
! 			for ( i = 0; i < userInputFieldsLength; i++ ) {
! 				currentField = $( '#' + userInputFields[ i ] );
! 
! 				if ( 0 == currentField.length ) {
! 					continue;
! 				}
! 
! 				rawValues.push( currentField[0].defaultValue );
! 				rawValues.push( currentField.val() );
! 			}
! 
! 			// Strip out non-alphanumeric characters and convert each word to an individual entry
! 			rawValuesLength = rawValues.length;
! 			for ( i = 0; i < rawValuesLength; i++ ) {
! 				if ( rawValues[ i ] ) {
! 					blacklist = blacklist.concat( rawValues[ i ].replace( /\W/g, ' ' ).split( ' ' ) );
! 				}
! 			}
! 
! 			// Remove empty values, short words, and duplicates. Short words are likely to cause many false positives.
! 			blacklist = $.grep( blacklist, function( value, key ) {
! 				if ( '' == value || 4 > value.length ) {
! 					return false;
! 				}
! 
! 				return $.inArray( value, blacklist ) === key;
! 			});
! 
! 			return blacklist;
! 		}
! 	}
! 
! 	// Backwards compatibility.
! 	passwordStrength = wp.passwordStrength.meter;
! })(jQuery);
\ No newline at end of file
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/js/user-profile.js /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/js/user-profile.js
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/js/user-profile.js	2012-08-22 19:04:18.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/js/user-profile.js	2013-09-28 01:47:10.000000000 -0500
***************
*** 9,15 ****
  			return;
  		}
  
! 		strength = passwordStrength(pass1, user, pass2);
  
  		switch ( strength ) {
  			case 2:
--- 9,15 ----
  			return;
  		}
  
! 		strength = wp.passwordStrength.meter( pass1, wp.passwordStrength.userInputBlacklist(), pass2 );
  
  		switch ( strength ) {
  			case 2:
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/link-add.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/link-add.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/link-add.php	2013-02-16 12:28:41.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/link-add.php	2013-09-24 19:18:11.000000000 -0500
***************
*** 7,13 ****
   */
  
  /** Load WordPress Administration Bootstrap */
! require_once('./admin.php');
  
  if ( ! current_user_can('manage_links') )
  	wp_die(__('You do not have sufficient permissions to add links to this site.'));
--- 7,13 ----
   */
  
  /** Load WordPress Administration Bootstrap */
! require_once( dirname( __FILE__ ) . '/admin.php' );
  
  if ( ! current_user_can('manage_links') )
  	wp_die(__('You do not have sufficient permissions to add links to this site.'));
***************
*** 24,29 ****
  	wp_enqueue_script( 'jquery-touch-punch' );
  
  $link = get_default_link_to_edit();
! include('./edit-link-form.php');
  
! require('./admin-footer.php');
--- 24,29 ----
  	wp_enqueue_script( 'jquery-touch-punch' );
  
  $link = get_default_link_to_edit();
! include( ABSPATH . 'wp-admin/edit-link-form.php' );
  
! require( ABSPATH . 'wp-admin/admin-footer.php' );
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/link-manager.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/link-manager.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/link-manager.php	2013-03-01 11:14:09.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/link-manager.php	2013-09-24 19:18:11.000000000 -0500
***************
*** 7,13 ****
   */
  
  /** Load WordPress Administration Bootstrap */
! require_once ('admin.php');
  if ( ! current_user_can( 'manage_links' ) )
  	wp_die( __( 'You do not have sufficient permissions to edit the links for this site.' ) );
  
--- 7,13 ----
   */
  
  /** Load WordPress Administration Bootstrap */
! require_once( dirname( __FILE__ ) . '/admin.php' );
  if ( ! current_user_can( 'manage_links' ) )
  	wp_die( __( 'You do not have sufficient permissions to edit the links for this site.' ) );
  
***************
*** 61,67 ****
  	'<p>' . __('<a href="http://wordpress.org/support/" target="_blank">Support Forums</a>') . '</p>'
  );
  
! include_once ('./admin-header.php');
  
  if ( ! current_user_can('manage_links') )
  	wp_die(__("You do not have sufficient permissions to edit the links for this site."));
--- 61,67 ----
  	'<p>' . __('<a href="http://wordpress.org/support/" target="_blank">Support Forums</a>') . '</p>'
  );
  
! include_once( ABSPATH . 'wp-admin/admin-header.php' );
  
  if ( ! current_user_can('manage_links') )
  	wp_die(__("You do not have sufficient permissions to edit the links for this site."));
***************
*** 97,100 ****
  </div>
  
  <?php
! include('./admin-footer.php');
--- 97,100 ----
  </div>
  
  <?php
! include( ABSPATH . 'wp-admin/admin-footer.php' );
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/link.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/link.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/link.php	2013-02-16 12:28:41.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/link.php	2013-09-24 19:18:11.000000000 -0500
***************
*** 10,16 ****
   */
  
  /** Load WordPress Administration Bootstrap */
! require_once ('admin.php');
  
  wp_reset_vars( array( 'action', 'cat_id', 'link_id' ) );
  
--- 10,16 ----
   */
  
  /** Load WordPress Administration Bootstrap */
! require_once( dirname( __FILE__ ) . '/admin.php' );
  
  wp_reset_vars( array( 'action', 'cat_id', 'link_id' ) );
  
***************
*** 111,118 ****
  		if (!$link = get_link_to_edit($link_id))
  			wp_die(__('Link not found.'));
  
! 		include ('edit-link-form.php');
! 		include ('admin-footer.php');
  		break;
  
  	default :
--- 111,118 ----
  		if (!$link = get_link_to_edit($link_id))
  			wp_die(__('Link not found.'));
  
! 		include( ABSPATH . 'wp-admin/edit-link-form.php' );
! 		include( ABSPATH . 'wp-admin/admin-footer.php' );
  		break;
  
  	default :
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/maint/repair.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/maint/repair.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/maint/repair.php	2013-02-13 23:52:23.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/maint/repair.php	2013-10-07 19:30:09.000000000 -0500
***************
*** 7,13 ****
   */
  define('WP_REPAIRING', true);
  
! require_once('../../wp-load.php');
  
  header( 'Content-Type: text/html; charset=utf-8' );
  ?>
--- 7,13 ----
   */
  define('WP_REPAIRING', true);
  
! require_once( dirname( dirname( dirname( __FILE__ ) ) ) . '/wp-load.php' );
  
  header( 'Content-Type: text/html; charset=utf-8' );
  ?>
***************
*** 38,44 ****
  	if ( is_multisite() && ! $wpdb->get_var( "SHOW TABLES LIKE '$wpdb->sitecategories'" ) )
  		unset( $tables['sitecategories'] );
  
! 	$tables = array_merge( $tables, (array) apply_filters( 'tables_to_repair', array() ) ); // Return tables with table prefixes.
  
  	// Loop over the tables, checking and repairing as needed.
  	foreach ( $tables as $table ) {
--- 38,51 ----
  	if ( is_multisite() && ! $wpdb->get_var( "SHOW TABLES LIKE '$wpdb->sitecategories'" ) )
  		unset( $tables['sitecategories'] );
  
! 	/**
! 	 * Filter additional database tables to repair.
! 	 *
! 	 * @since 3.0.0
! 	 *
! 	 * @param array $tables Array of prefixed table names to be repaired.
! 	 */
! 	$tables = array_merge( $tables, (array) apply_filters( 'tables_to_repair', array() ) );
  
  	// Loop over the tables, checking and repairing as needed.
  	foreach ( $tables as $table ) {
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/media-new.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/media-new.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/media-new.php	2013-03-18 09:01:25.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/media-new.php	2013-09-24 19:18:11.000000000 -0500
***************
*** 10,16 ****
   */
  
  /** Load WordPress Administration Bootstrap */
! require_once('./admin.php');
  
  if (!current_user_can('upload_files'))
  	wp_die(__('You do not have permission to upload files.'));
--- 10,16 ----
   */
  
  /** Load WordPress Administration Bootstrap */
! require_once( dirname( __FILE__ ) . '/admin.php' );
  
  if (!current_user_can('upload_files'))
  	wp_die(__('You do not have permission to upload files.'));
